QGIS Application - Bug report #4550
Improvements to projection widget
2011-11-17 10:14 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Richard Duivenvoorde

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 14464
Description

| think the projection widget should be improved, by

- having the search filtering the projections rather than moving to the next matching (see e.g. in the plugin list)

- it would be good to have the search working in both fields (people often overlook the search field selector)

- the internal projection ID could be hidden (I do not see any use of it for the user)

- set the focus to the 'find' button as soon as you try to type something into the find-text input.

Now the user often type a code and then hit <enter> without result, because 'apply’ apparently has focus: you really have to click the

<find> button

- better make a general find: just search over al fields, so we can remove the two dropdowns

Single tickets might be opened, but | think once we start cleaning up the interface it is a simple matter to do all.

History

#1-2011-11-18 10:19 AM - Richard Duivenvoorde

- % Done changed from 0 to 50

- Assignee set to Richard Duivenvoorde

#2 - 2011-11-18 11:03 AM - Richard Duivenvoorde

- File version1.png added

- File version2.png added

I've more or less implemented above: by using the a (over all columns).

| need some input for the dialogs. I've hidden the comboboxes and findbutton (programmatically) so all 'old' code is still in there.

In Version1 | just moved the filter/search part above the two crs blocks

In Version2 | moved both the filter AND the recently used crs block to the top.

Please some input about the preferred way.

| also have to look at the behaviour of for the wms dialog: apparently you should see all available crs's there?

#3 - 2011-11-22 12:27 AM - Richard Duivenvoorde
- File version3.png added

version3 with some more space for both lists, and a title in top of the crs's of the world
maybe too high?

#4 - 2011-11-22 01:16 AM - Richard Duivenvoorde

- File version4.png added

ok, final one :-)

moved 'depricated’ to below, hidden searchtools as space below 'crs of the world'

#5 - 2011-11-22 06:34 AM - Hilmy Hashim

Richard Duivenvoorde wrote:

ok, final one :-)

moved ‘depricated’ to below, hidden searchtools as space below ‘crs of the world'

More space for the selected crs parameters please. The second line is always half hidden.

#6 - 2011-11-22 06:41 AM - Richard Duivenvoorde

This has always been the case | think. There can actually (depending on the size of the dialog) be 3 or 4 lines of proj-parameters. But we also want to

minimize the size of the dialog. Besides that, there is actually nothing you can do with those parameters (besides look at them...).

So: given we want to miminize the dialog: do you still want it to be bigger?

(by the way: the changes is already in master, so please have a look and try).

#7 - 2011-11-30 03:48 PM - Alister Hood

Hi guys. Maybe | should open another ticket... but this one hasn't been closed yet ;)

- When adding a new layer, if the mouse cursor is over the window border or over the handle between the list of recent CRSs and the list of all CRSs, for

some reason the cursor does not change to the arrow cursor which normally indicates resizing is possible.

When changing the CRS of an existing layer, the mouse cursor does change.

N.B. I am on Windows, if that matters.

- If the user makes the window taller, the text panel at the top gets taller - but there is no need for this. Would it be possible to fix its size, so that all the

additional height is used for the list of projections?

#8 - 2011-11-30 10:37 PM - Paolo Cavallini

Also, the box with the proj.4 string is often too small, and could be adjusted to its content.

#9 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4
#10 - 2011-12-21 12:55 AM - Richard Duivenvoorde

see this mailinglist thread:

http://lists.osgeo.org/pipermail/ggis-developer/2011-December/017380.html

The current implementation of the CRS selector is much nicer, but it has
a problem: the first item on the list of recent CRSs is always selected
automatically when the widget is opened, without the user could notice
it, or do anything about.

the behaviour is even a little stranger. If | open 'Specify CRS' from

the layerproperties, it will show me just 4 recent crs's (while there is
room for more), while it seems to select one of them (not neccesarily my
latest). But if | close and open the dialog again, it chooses the NEXT
crs from my 4 recents...

#11 - 2011-12-21 01:04 AM - Giovanni Manghi

Hi Richard,

it would be possible to show the "internal" ID column? It is pretty much important when working with custom CRSs.

#12 - 2011-12-21 01:05 AM - Giovanni Manghi

Giovanni Manghi wrote:

Hi Richard,

it would be possible to show the "internal” ID column? It is pretty much important when working with custom CRSs.

| see also that internal ID is not searchable with the filter.

#13 - 2011-12-21 01:09 AM - Richard Duivenvoorde

The third point of this issue (see top) was:

"the internal projection ID could be hidden (I do not see any use of it for the user)"

But we can bring it back again, and we can also take it into the filter. No problem.

Personally | think it is REALLY an internal projection ID and you should not see or use it.

But: please let somebody decide. Both is no problem.

#14 - 2011-12-21 01:11 AM - Giovanni Manghi

Richard Duivenvoorde wrote:
http://lists.osgeo.org/pipermail/qgis-developer/2011-December/017380.html

The third point of this issue (see top) was:

But: please let somebody decide. Both is no problem.

"the internal projection ID could be hidden (I do not see any use of it for the user)"

But we can bring it back again, and we can also take it into the filter. No problem.

Personally I think it is REALLY an internal projection ID and you should not see or use it.

sorry richard, | didn't read carefully this ticket. | just noticed it and commented, but if others have suggested otherwise is ok for me. sorry again.

#15 - 2011-12-22 12:21 PM - Richard Duivenvoorde
- Crashes QGIS or corrupts data set to No
- % Done changed from 50 to 90

- Affected QGIS version set to master

| think most/all point mentioned above are now fixed in this pull request

https://github.com/qgis/Quantum-GIS/pull/76

If the request is honoured we should close this bug

#16 - 2011-12-22 02:19 PM - Jiirgen Fischer
- Status changed from Open to Closed
- Resolution set to fixed

applied in commit:5829fedc7b

#17 - 2011-12-27 02:23 AM - Richard Duivenvoorde
- Status changed from Closed to Feedback

Giovanni found a bug in my implemenation... Busy fixing it.

(hope this will reopen this issue)

#18 - 2012-01-06 09:14 AM - Alexander Bruy
- Status changed from Feedback to Closed

Pull request 77 applied in commit:95099990ea. Hope this is completely fix issue

Files
